__gnu_cxx::typelist(3cxx)

NAME
__gnu_cxx::typelist - GNU typelist extensions for public compile-time use.

SYNOPSIS

  Functions

template<typename Fn, typename Typelist> void apply (Fn &, Typelist)
template<typename Fn, typename Typelist> void apply_generator (Fn &fn, Typelist)
template<typename Fn, typename TypelistT, typename TypelistV> void apply_generator (Fn &fn, TypelistT, TypelistV)
template<typename Gn, typename Typelist> void apply_generator (Gn &, Typelist)
Apply all typelist types to generator functor.
template<typename Gn, typename TypelistT, typename TypelistV> void apply_generator (Gn &, TypelistT, TypelistV)

Detailed Description

GNU typelist extensions for public compile-time use.

Function Documentation

  template<typename Gn, typename Typelist> void __gnu_cxx::typelist::apply_generator (Gn & , Typelist )

Apply all typelist types to generator functor.

Author

Generated automatically by Doxygen for libstdc++ from the source code.